こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

Wine起動時のエラーについて

教えてください!!
Vine Linux 4.1上で、WindowsのIEを起動させるために、以下の手順でWine-0.9.42をインストールしました。
手順:ソースからwine-0.9.42.tar.bz2 をダウンロードして、
# tar xjvf wine-0.9.42.tar.bz2
# cd wine-0.9.42
# ./configure --prefix=/usr/local/wine-0.9.42
# make depend && make
# make install
# ln -s /usr/local/wine-0.9.42/bin/* /usr/local/bin

しかし、#winecfgで起動したところ、以下のエラーが出て、うまく起動することができませんでした。
エラー:
glibc >= 2.3 without NPTL or TLS is not a supported combination.
It will most likely crash. Please upgrade to a glibc with NPTL support.

これは、NPTLに対応したglibcをアップグレードしなさいということなのでしょうか?多くのサイトで探してみましたが、その方法がよくわかりませんでした。
このエラーを回避して、Wineを起動させる方法を、どなたか教えていただけないでしょうか。

ちなみに、現在のLinuxのカーネルのバージョンは2.6.16-0vl66で、glibcは2.3.4-2vl3.1です。

宜しくお願い致します。

投稿日時 - 2007-08-09 10:51:45

QNo.3240555

すぐに回答ほしいです

質問者が選んだベストアンサー

Vine ユーザでは無いので自信は無いですが,

gilbc を configure するときに --enable-add-ons をつけてビルド
するか, wine を configure するときに --without-ntpl
するか (このオプションが有効かどうか未確認です) じゃ無いでしょうか.glibc を入れ替えるのは勇気が要ると思うので後者が良いのでは.

あと,私が昔 Vine 4.1 を使っていた時は wine 0.9.20 くらいで
./configure だけで使えてましたから,バージョンを落としたら
どうなるのかも,上記でダメならやってみてください.

投稿日時 - 2007-08-09 22:53:01

お礼

ご回答ありがとうございます!

実は、glibucエラーのほか、
err:imagelist:ImageList_ReplaceIcon no color!
Application tried to create a window, but no driver could be loaded.
The X11 driver is missing. Check your build!
というのも同様に出ています。このエラーの回避方法もわからなくて困っています・・・。

glibcエラーの件は、NTPLに対応したglibcが必要であるみたいですので、i686でのリビルドでglibcのエラーを回避することができました。
$ rpmbuild --target i686 --rebuild glibc-2.3.4-2vl3.1.src.rpm
# rpm -ivh glibc-2.3.4-2vl3.1.i686.rpm --force

しかし、上記のエラーは相変わらず回避することができません。ここは、 cdboxcdboxcdboxさんから教えていただいたとおり、wine 0.9.20 くらいにバージョンを下げて再インストールしてみようかと考えています。

投稿日時 - 2007-08-10 09:31:39

このQ&Aは役に立ちましたか?

1人が「このQ&Aが役に立った」と投票しています

回答(1)

あなたにオススメの質問